/**
 * {气泡确认框}
 * @author chensbox<chensbox@foxmail.com>
 * @date 2023/04/28 16:14:10
 */

import { css, html, Component } from '@bd/core'

class Popconfirm extends Component {
  static props = {
    title: {
      type: String,
      default: '',
      attribute: false
    },
    'confirm-button-text': {
      type: String,
      default: '',
      attribute: false
    },
    'cancel-button-text': {
      type: String,
      default: '',
      attribute: false
    },
    'confirm-button-type': {
      type: String,
      default: '',
      attribute: false
    },
    'cancel-button-type': {
      type: String,
      default: '',
      attribute: false
    },
    icon: {
      type: String,
      default: null,
      attribute: false
    },
    'icon-color': {
      type: Number,
      default: null,
      attribute: false
    },
    hidden: false
  }

  static styles = [
    css`
      :host {
        position: relative;
        display: inline-block;
      }
      .popover {
        z-index: 10;
        position: absolute;
        padding: 12px;
        min-width: 150px;
        border-radius: 4px;
        border: 1px solid #ebeef5;
        color: #606266;
        line-height: 1.4;
        text-align: justify;
        font-size: 14px;
        box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
        word-break: break-all;
        background: #fff;
      }
    `
  ]
  render() {
    return html`
      <div class="popconfirm">
        <slot></slot>
        <div class="popover"></div>
      </div>
    `
  }
}

Popconfirm.reg('popconfirm')
